/****************************************************************************
File    : atari800.h
/*
@(#) #SY# Atari800Win PLus
@(#) #IS# Shared Atari800 methods and objects declarations
@(#) #BY# Tomasz Szymankowski
@(#) #LM# 24.09.2001
*/

#ifndef __ATARI800_H__
#define __ATARI800_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Atari800 exports we are using in the Win project */

#include "antic.h"
#include "atari.h"
#include "ataripcx.h"
#include "binload.h"
#include "cartridge.h"
#include "cassette.h"
#include "colours.h"
#include "cpu.h"
#include "devices.h"
#include "diskled.h"
#include "gtia.h"
#include "input.h"
#include "log.h"
#include "memory.h"
#include "monitor.h"
#include "pia.h"
#include "platform.h"
#include "pokey.h"
#include "pokeysnd.h"
#include "rt-config.h"
#include "rtime.h"
#include "sio.h"
#include "statesav.h"

/* I haven't found any header files for these exports */

BOOL dcmtoatr( FILE *fin, FILE *fout, char *input, char *output );

#ifdef __cplusplus
}
#endif

#endif /*__ATARI800_H__*/
